## qfacebook 0.1

=== examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:42 2011
# Project:  examples.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile examples.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-getobject \
		sub-getprofile \
		sub-getconnection \
		sub-getfriends \
		sub-postfeed

getobject/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getobject/ || $(MKDIR) getobject/ 
	cd getobject/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getobject/getobject.pro -o $(MAKEFILE)
sub-getobject-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getobject/ || $(MKDIR) getobject/ 
	cd getobject/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getobject/getobject.pro -o $(MAKEFILE)
sub-getobject: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE)
sub-getobject-make_default: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) 
sub-getobject-make_first: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) first
sub-getobject-all: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) all
sub-getobject-clean: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) clean
sub-getobject-distclean: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getobject-install_subtargets: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) install
sub-getobject-uninstall_subtargets: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) uninstall
getprofile/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getprofile/ || $(MKDIR) getprofile/ 
	cd getprofile/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getprofile/getprofile.pro -o $(MAKEFILE)
sub-getprofile-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getprofile/ || $(MKDIR) getprofile/ 
	cd getprofile/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getprofile/getprofile.pro -o $(MAKEFILE)
sub-getprofile: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE)
sub-getprofile-make_default: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) 
sub-getprofile-make_first: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) first
sub-getprofile-all: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) all
sub-getprofile-clean: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) clean
sub-getprofile-distclean: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getprofile-install_subtargets: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) install
sub-getprofile-uninstall_subtargets: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) uninstall
getconnection/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getconnection/ || $(MKDIR) getconnection/ 
	cd getconnection/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getconnection/getconnection.pro -o $(MAKEFILE)
sub-getconnection-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getconnection/ || $(MKDIR) getconnection/ 
	cd getconnection/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getconnection/getconnection.pro -o $(MAKEFILE)
sub-getconnection: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE)
sub-getconnection-make_default: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) 
sub-getconnection-make_first: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) first
sub-getconnection-all: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) all
sub-getconnection-clean: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) clean
sub-getconnection-distclean: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getconnection-install_subtargets: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) install
sub-getconnection-uninstall_subtargets: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) uninstall
getfriends/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getfriends/ || $(MKDIR) getfriends/ 
	cd getfriends/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getfriends/getfriends.pro -o $(MAKEFILE)
sub-getfriends-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getfriends/ || $(MKDIR) getfriends/ 
	cd getfriends/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getfriends/getfriends.pro -o $(MAKEFILE)
sub-getfriends: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE)
sub-getfriends-make_default: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) 
sub-getfriends-make_first: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) first
sub-getfriends-all: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) all
sub-getfriends-clean: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) clean
sub-getfriends-distclean: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getfriends-install_subtargets: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) install
sub-getfriends-uninstall_subtargets: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) uninstall
postfeed/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) postfeed/ || $(MKDIR) postfeed/ 
	cd postfeed/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/postfeed/postfeed.pro -o $(MAKEFILE)
sub-postfeed-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) postfeed/ || $(MKDIR) postfeed/ 
	cd postfeed/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/postfeed/postfeed.pro -o $(MAKEFILE)
sub-postfeed: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE)
sub-postfeed-make_default: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) 
sub-postfeed-make_first: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) first
sub-postfeed-all: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) all
sub-postfeed-clean: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) clean
sub-postfeed-distclean: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) distclean
sub-postfeed-install_subtargets: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) install
sub-postfeed-uninstall_subtargets: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: examples.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile examples.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile examples.pro

qmake_all: sub-getobject-qmake_all sub-getprofile-qmake_all sub-getconnection-qmake_all sub-getfriends-qmake_all sub-postfeed-qmake_all FORCE

make_default: sub-getobject-make_default sub-getprofile-make_default sub-getconnection-make_default sub-getfriends-make_default sub-postfeed-make_default FORCE
make_first: sub-getobject-make_first sub-getprofile-make_first sub-getconnection-make_first sub-getfriends-make_first sub-postfeed-make_first FORCE
all: sub-getobject-all sub-getprofile-all sub-getconnection-all sub-getfriends-all sub-postfeed-all FORCE
clean: sub-getobject-clean sub-getprofile-clean sub-getconnection-clean sub-getfriends-clean sub-postfeed-clean FORCE
distclean: sub-getobject-distclean sub-getprofile-distclean sub-getconnection-distclean sub-getfriends-distclean sub-postfeed-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-getobject-install_subtargets sub-getprofile-install_subtargets sub-getconnection-install_subtargets sub-getfriends-install_subtargets sub-postfeed-install_subtargets FORCE
uninstall_subtargets: sub-getobject-uninstall_subtargets sub-getprofile-uninstall_subtargets sub-getconnection-uninstall_subtargets sub-getfriends-uninstall_subtargets sub-postfeed-uninstall_subtargets FORCE

sub-getobject-check: getobject/$(MAKEFILE)
	cd getobject/ && $(MAKE) check
sub-getprofile-check: getprofile/$(MAKEFILE)
	cd getprofile/ && $(MAKE) check
sub-getconnection-check: getconnection/$(MAKEFILE)
	cd getconnection/ && $(MAKE) check
sub-getfriends-check: getfriends/$(MAKEFILE)
	cd getfriends/ && $(MAKE) check
sub-postfeed-check: postfeed/$(MAKEFILE)
	cd postfeed/ && $(MAKE) check
check: sub-getobject-check sub-getprofile-check sub-getconnection-check sub-getfriends-check sub-postfeed-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== examples/getconnection/Makefile ===
#############################################################################
# Makefile for building: getconnection
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:42 2011
# Project:  getconnection.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile getconnection.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L../../lib -lqfacebook -lQtNetwork -L/usr/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		getconnection.cpp moc_getconnection.cpp
OBJECTS       = main.o \
		getconnection.o \
		moc_getconnection.o
DIST          = /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		getconnection.pro
QMAKE_TARGET  = getconnection
DESTDIR       = 
TARGET        = getconnection

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: getconnection.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		../../lib/libqfacebook.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile getconnection.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
../../lib/libqfacebook.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile getconnection.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/getconnection1.0.0 || $(MKDIR) .tmp/getconnection1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/getconnection1.0.0/ && $(COPY_FILE) --parents getconnection.h .tmp/getconnection1.0.0/ && $(COPY_FILE) --parents main.cpp getconnection.cpp .tmp/getconnection1.0.0/ && (cd `dirname .tmp/getconnection1.0.0` && $(TAR) getconnection1.0.0.tar getconnection1.0.0 && $(COMPRESS) getconnection1.0.0.tar) && $(MOVE) `dirname .tmp/getconnection1.0.0`/getconnection1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/getconnection1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_getconnection.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_getconnection.cpp
moc_getconnection.cpp: getconnection.h
	/usr/bin/moc $(DEFINES) $(INCPATH) getconnection.h -o moc_getconnection.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp getconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

getconnection.o: getconnection.cpp getconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o getconnection.o getconnection.cpp

moc_getconnection.o: moc_getconnection.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_getconnection.o moc_getconnection.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== examples/getfriends/Makefile ===
#############################################################################
# Makefile for building: getfriends
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:43 2011
# Project:  getfriends.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile getfriends.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L../../lib -lqfacebook -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		getfriends.cpp \
		getconnection.cpp moc_getfriends.cpp \
		moc_getconnection.cpp
OBJECTS       = main.o \
		getfriends.o \
		getconnection.o \
		moc_getfriends.o \
		moc_getconnection.o
DIST          = /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		getfriends.pro
QMAKE_TARGET  = getfriends
DESTDIR       = 
TARGET        = getfriends

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_getfriends.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: getfriends.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		../../lib/libqfacebook.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile getfriends.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
../../lib/libqfacebook.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile getfriends.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/getfriends1.0.0 || $(MKDIR) .tmp/getfriends1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/getfriends1.0.0/ && $(COPY_FILE) --parents getfriends.h getconnection.h .tmp/getfriends1.0.0/ && $(COPY_FILE) --parents main.cpp getfriends.cpp getconnection.cpp .tmp/getfriends1.0.0/ && $(COPY_FILE) --parents getfriends.ui .tmp/getfriends1.0.0/ && (cd `dirname .tmp/getfriends1.0.0` && $(TAR) getfriends1.0.0.tar getfriends1.0.0 && $(COMPRESS) getfriends1.0.0.tar) && $(MOVE) `dirname .tmp/getfriends1.0.0`/getfriends1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/getfriends1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_getfriends.cpp moc_getconnection.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_getfriends.cpp moc_getconnection.cpp
moc_getfriends.cpp: getconnection.h \
		getfriends.h
	/usr/bin/moc $(DEFINES) $(INCPATH) getfriends.h -o moc_getfriends.cpp

moc_getconnection.cpp: getconnection.h
	/usr/bin/moc $(DEFINES) $(INCPATH) getconnection.h -o moc_getconnection.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_getfriends.h
compiler_uic_clean:
	-$(DEL_FILE) ui_getfriends.h
ui_getfriends.h: getfriends.ui
	/usr/bin/uic getfriends.ui -o ui_getfriends.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp getfriends.h \
		getconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

getfriends.o: getfriends.cpp getfriends.h \
		getconnection.h \
		ui_getfriends.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o getfriends.o getfriends.cpp

getconnection.o: getconnection.cpp getconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o getconnection.o getconnection.cpp

moc_getfriends.o: moc_getfriends.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_getfriends.o moc_getfriends.cpp

moc_getconnection.o: moc_getconnection.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_getconnection.o moc_getconnection.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== examples/getobject/Makefile ===
#############################################################################
# Makefile for building: getobject
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:42 2011
# Project:  getobject.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile getobject.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L../../lib -lqfacebook -lQtNetwork -L/usr/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		getobject.cpp moc_getobject.cpp
OBJECTS       = main.o \
		getobject.o \
		moc_getobject.o
DIST          = /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		getobject.pro
QMAKE_TARGET  = getobject
DESTDIR       = 
TARGET        = getobject

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: getobject.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		../../lib/libqfacebook.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile getobject.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
../../lib/libqfacebook.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile getobject.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/getobject1.0.0 || $(MKDIR) .tmp/getobject1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/getobject1.0.0/ && $(COPY_FILE) --parents getobject.h .tmp/getobject1.0.0/ && $(COPY_FILE) --parents main.cpp getobject.cpp .tmp/getobject1.0.0/ && (cd `dirname .tmp/getobject1.0.0` && $(TAR) getobject1.0.0.tar getobject1.0.0 && $(COMPRESS) getobject1.0.0.tar) && $(MOVE) `dirname .tmp/getobject1.0.0`/getobject1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/getobject1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_getobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_getobject.cpp
moc_getobject.cpp: getobject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) getobject.h -o moc_getobject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp getobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

getobject.o: getobject.cpp getobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o getobject.o getobject.cpp

moc_getobject.o: moc_getobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_getobject.o moc_getobject.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== examples/getprofile/Makefile ===
#############################################################################
# Makefile for building: getprofile
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:43 2011
# Project:  getprofile.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile getprofile.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L../../lib -lqfacebook -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		getprofile.cpp \
		userprofile.cpp moc_getprofile.cpp \
		moc_userprofile.cpp
OBJECTS       = main.o \
		getprofile.o \
		userprofile.o \
		moc_getprofile.o \
		moc_userprofile.o
DIST          = /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		getprofile.pro
QMAKE_TARGET  = getprofile
DESTDIR       = 
TARGET        = getprofile

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_getprofile.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: getprofile.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		../../lib/libqfacebook.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile getprofile.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
../../lib/libqfacebook.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile getprofile.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/getprofile1.0.0 || $(MKDIR) .tmp/getprofile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/getprofile1.0.0/ && $(COPY_FILE) --parents getprofile.h userprofile.h .tmp/getprofile1.0.0/ && $(COPY_FILE) --parents main.cpp getprofile.cpp userprofile.cpp .tmp/getprofile1.0.0/ && $(COPY_FILE) --parents getprofile.ui .tmp/getprofile1.0.0/ && (cd `dirname .tmp/getprofile1.0.0` && $(TAR) getprofile1.0.0.tar getprofile1.0.0 && $(COMPRESS) getprofile1.0.0.tar) && $(MOVE) `dirname .tmp/getprofile1.0.0`/getprofile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/getprofile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_getprofile.cpp moc_userprofile.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_getprofile.cpp moc_userprofile.cpp
moc_getprofile.cpp: userprofile.h \
		getprofile.h
	/usr/bin/moc $(DEFINES) $(INCPATH) getprofile.h -o moc_getprofile.cpp

moc_userprofile.cpp: userprofile.h
	/usr/bin/moc $(DEFINES) $(INCPATH) userprofile.h -o moc_userprofile.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_getprofile.h
compiler_uic_clean:
	-$(DEL_FILE) ui_getprofile.h
ui_getprofile.h: getprofile.ui
	/usr/bin/uic getprofile.ui -o ui_getprofile.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp getprofile.h \
		userprofile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

getprofile.o: getprofile.cpp getprofile.h \
		userprofile.h \
		ui_getprofile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o getprofile.o getprofile.cpp

userprofile.o: userprofile.cpp userprofile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o userprofile.o userprofile.cpp

moc_getprofile.o: moc_getprofile.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_getprofile.o moc_getprofile.cpp

moc_userprofile.o: moc_userprofile.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_userprofile.o moc_userprofile.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== examples/postfeed/Makefile ===
#############################################################################
# Makefile for building: postfeed
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:43 2011
# Project:  postfeed.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile postfeed.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L../../lib -lqfacebook -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		postfeed.cpp \
		putobject.cpp moc_postfeed.cpp \
		moc_putobject.cpp
OBJECTS       = main.o \
		postfeed.o \
		putobject.o \
		moc_postfeed.o \
		moc_putobject.o
DIST          = /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		postfeed.pro
QMAKE_TARGET  = postfeed
DESTDIR       = 
TARGET        = postfeed

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_postfeed.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: postfeed.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		../../lib/libqfacebook.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile postfeed.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
../../lib/libqfacebook.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile postfeed.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/postfeed1.0.0 || $(MKDIR) .tmp/postfeed1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/postfeed1.0.0/ && $(COPY_FILE) --parents postfeed.h putobject.h .tmp/postfeed1.0.0/ && $(COPY_FILE) --parents main.cpp postfeed.cpp putobject.cpp .tmp/postfeed1.0.0/ && $(COPY_FILE) --parents postfeed.ui .tmp/postfeed1.0.0/ && (cd `dirname .tmp/postfeed1.0.0` && $(TAR) postfeed1.0.0.tar postfeed1.0.0 && $(COMPRESS) postfeed1.0.0.tar) && $(MOVE) `dirname .tmp/postfeed1.0.0`/postfeed1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/postfeed1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_postfeed.cpp moc_putobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_postfeed.cpp moc_putobject.cpp
moc_postfeed.cpp: putobject.h \
		postfeed.h
	/usr/bin/moc $(DEFINES) $(INCPATH) postfeed.h -o moc_postfeed.cpp

moc_putobject.cpp: putobject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) putobject.h -o moc_putobject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_postfeed.h
compiler_uic_clean:
	-$(DEL_FILE) ui_postfeed.h
ui_postfeed.h: postfeed.ui
	/usr/bin/uic postfeed.ui -o ui_postfeed.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp postfeed.h \
		putobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

postfeed.o: postfeed.cpp postfeed.h \
		putobject.h \
		ui_postfeed.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o postfeed.o postfeed.cpp

putobject.o: putobject.cpp putobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o putobject.o putobject.cpp

moc_postfeed.o: moc_postfeed.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_postfeed.o moc_postfeed.cpp

moc_putobject.o: moc_putobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_putobject.o moc_putobject.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
qfacebook (0.1) unstable; urgency=low

  * Initial release for Maemo 5

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon,  21 Feb 2011 22:24:58 +0200

=== debian/control ===
Source: qfacebook
Section: libs
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqjson-dev

Package: qfacebook
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Qt/C++ library to access Facebook's Graph API

Package: qfacebook-dev
Architecture: armel
Depends: qfacebook
Description: Header files for the qfacebook library

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	qmake INSTALL_PREFIX=$(CURDIR)/debian/qfacebook/usr && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	qmake && $(MAKE) distclean
	rm -f build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	touch install-stamp
	$(MAKE) DESTDIR=$(CURDIR)/debian/qfacebook install
	mkdir -p debian/qfacebook-dev/usr/lib
	mv debian/qfacebook/usr/include debian/qfacebook-dev/usr/
	mv debian/qfacebook/usr/lib/libqfacebook.prl debian/qfacebook-dev/usr/lib/

# Build architecture-independent files here.
binary-indep: build install
	rm -vf $(find  debian/qfacebook/ -name *.prl)
	dh_testdir
	dh_testroot
	dh_install
	#dh_installdocs
	#dh_installchangelogs
	#dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_makeshlibs
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-arch binary-indep binary configure
